### Method

# Gdk FrameClock request_phase

#### Declaration [src]

    void
    gdk_frame_clock_request_phase (
      GdkFrameClock* frame_clock,
      GdkFrameClockPhase phase
    )

#### Description [src]

Asks the frame clock to run a particular phase.

The signal corresponding the requested phase will be emitted the next time the frame clock processes. Multiple calls to `gdk_frame_clock_request_phase()` will be combined together and only one frame processed. If you are displaying animated content and want to continually request the `GDK_FRAME_CLOCK_PHASE_UPDATE` phase for a period of time, you should use `gdk_frame_clock_begin_updating()` instead, since this allows GTK to adjust system parameters to get maximally smooth animations.

#### Parameters

`phase`

  Type: `GdkFrameClockPhase`

  The phase that is requested.